# $Revision: 1.16 $, $Date: 2011/03/09 16:14:20 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	AIO
Summary:	IO::AIO - Perl Asynchronous Input/Output
Summary(pl.UTF-8):	IO::AIO - asynchroniczne wejście/wyjście w Perlu
Name:		perl-IO-AIO
Version:	3.71
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/MLEHMANN/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0b9a1c5054445a21e132e2fc8602f5d0
URL:		http://search.cpan.org/dist/IO-AIO/
BuildRequires:	perl-devel >= 1:5.8.2
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-common-sense
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements asynchronous I/O using whatever means your
operating system supports.

%description -l pl.UTF-8
Ten moduł implementuje asynchroniczne we/wy przy użyciu dowolnych
metod obsługiwanych przez system operacyjny.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/treescan
%{perl_vendorarch}/IO/AIO.pm
%dir %{perl_vendorarch}/auto/IO/AIO
%{perl_vendorarch}/auto/IO/AIO/AIO.bs
%attr(755,root,root) %{perl_vendorarch}/auto/IO/AIO/AIO.so
%{_mandir}/man3/IO::AIO.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IO-AIO.spec,v $
Revision 1.16  2011/03/09 16:14:20  qboosh
- updated to 3.71

Revision 1.15  2010/06/06 08:38:04  arekm
- release 2

Revision 1.14  2009/11/20 12:25:28  amateja
- updated to 3.31

Revision 1.13  2009/02/02 15:07:21  radek
- version 3.17 ("lots of incompatible changes" from 2.x)

Revision 1.12  2008-03-02 21:10:56  radek
- release 2

Revision 1.11  2008-02-09 17:08:12  wolvverine
- rel.1

Revision 1.10  2008-01-10 08:38:38  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.9  2007-12-24 15:38:31  qboosh
- generic URL

Revision 1.8  2007-12-24 02:14:15  zbyniu
- up to 2.51

Revision 1.7  2007-03-02 16:12:50  wolvverine
- up to 2.33

Revision 1.6  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.4  2006/04/07 21:05:16  agaran
- up to 1.73

Revision 1.3  2006/01/23 13:51:43  qboosh
- pl, .so perms

Revision 1.2  2006/01/22 02:04:44  agaran
- up to 1.71, rel=0.1

Revision 1.1  2006/01/22 02:00:28  agaran
- initial, rel=0.1
